%define upstream_name    Module-Install-StandardTests
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Generate standard tests for installation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildArch: noarch


%description
Writes a few standard test files to the test directory 't/'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-12.mga8
+ Revision: 1505210
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-11.mga7
+ Revision: 1284799
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.50.0-10.mga7
+ Revision: 1165555
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.50.0-9.mga7
+ Revision: 1159316
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-8.mga6
+ Revision: 1030108
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.50.0-7.mga6
+ Revision: 949928
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-6.mga5
+ Revision: 790699
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 744559
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-4.mga5
+ Revision: 685448
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 513000
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 369896
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 38315
- mageia rebuild
- cleaning spec file
- imported package perl-Module-Install-StandardTests


* Sun Jul 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.50.0-1mdv2011.0
+ Revision: 559512
- import perl-Module-Install-StandardTests


* Sun Jul 25 2010 cpan2dist 0.05-1mdv
- initial mdv release, generated with cpan2dist
